﻿@model UserRegistrationViewModel
@{
    ViewData["Title"] = "Register";
}

<form asp-controller="Accounts" asp-action="Register" method="post" class="register-form mx-auto my-5" style="max-width: 500px;">
    <h2 class="text-center">HR Register</h2>
    <div class="form-group">
        <label asp-for="IdentifyNumber">ID Number</label>
        <input asp-for="IdentifyNumber" class="form-control" />
        <span asp-validation-for="IdentifyNumber" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="UserName">Username</label>
        <input asp-for="UserName" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FirstName">First Name</label>
        <input asp-for="FirstName" class="form-control" />
        <span asp-validation-for="FirstName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="LastName">Last Name</label>
        <input asp-for="LastName" class="form-control" />
        <span asp-validation-for="LastName" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="BirthDate">Birth Date</label>
        <input asp-for="BirthDate" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="Email">Email</label>
        <input asp-for="Email" class="form-control" />
        <span asp-validation-for="Email" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="Password">Password</label>
        <input asp-for="Password" type="password" class="form-control" />
        <span asp-validation-for="Password" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="ConfirmPassword">Confirm Password</label>
        <input asp-for="ConfirmPassword" type="password" class="form-control" />
        <span asp-validation-for="ConfirmPassword" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="GenderId">Gender</label>
        <select asp-for="GenderId" class="form-control">
            <option value="">-- Select Gender --</option>
            <option value="1">Male</option>
            <option value="2">Female</option>
        </select>
    </div>
    <div class="form-group">
        <button type="submit" class="btn btn-primary">Register</button>
        <a href="/Home" class="btn btn-secondary">Cancel</a>
        <a href="/Accounts/Login" class="btn btn-outline-primary">Login</a>
    </div>
</div>
</form>